Can't import getkey

I am trying to import getkey but every time I get an error message.

Here is my file:

Repl link/Link to where the bug appears:

An older topic recommends using fkeycapture instead of getkey because getkey does not seem to work.

2 Likes

The error in that post is different.
only on the repl linked in this post, poetry is using python -m pip. On replit, the intended behaviour is likely for poetry to use just pip, because POETRY_PIP_FROM_PATH is set.

While I don’t recommend usage of getkey on Replit[1], this installs correctly (Run in Shell):

pip install getkey --use-pep517

  1. it’s known to have issues, see second post in this topic ↩︎